# Class yii\base\InvalidArgumentException

Inheritance | yii\base\InvalidArgumentException » yii\base\InvalidParamException » BadMethodCallException
Subclasses | yii\base\ViewNotFoundException
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/base/InvalidArgumentException.php

InvalidArgumentException represents an exception caused by invalid arguments passed to a method.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getName() |  | yii\base\InvalidArgumentException

## Method Details

Hide inherited methods

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception

Source code

                    public function getName()
    {
        return 'Invalid Argument';
    }